[arch-commits] Commit in python-ldap3/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon Mar 25 07:32:27 UTC 2019


    Date: Monday, March 25, 2019 @ 07:32:27
  Author: felixonmars
Revision: 443379

archrelease: copy trunk to community-any

Added:
  python-ldap3/repos/community-any/PKGBUILD
    (from rev 443378, python-ldap3/trunk/PKGBUILD)
Deleted:
  python-ldap3/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  100 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-25 07:32:02 UTC (rev 443378)
+++ PKGBUILD	2019-03-25 07:32:27 UTC (rev 443379)
@@ -1,50 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
-# Contributor: Kyle Keen <keenerd at gmail.com>
-
-pkgbase=python-ldap3
-pkgname=(python-ldap3 python2-ldap3)
-pkgver=2.5.2
-pkgrel=1
-pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
-url="https://github.com/cannatag/ldap3"
-license=('LGPL')
-arch=('any')
-makedepends=('python-pyasn1' 'python2-pyasn1' 'python-setuptools' 'python2-setuptools')
-checkdepends=('python-nose' 'python2-nose')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
-sha512sums=('212b79cc24c55639ce9fab1b3340bb10c4f00b6f08886d5d3120f0ef3af3a138f02c1e63ee55ed22a877d8ecd8fb45447b8bf60371de00520cfc38df7713c20d')
-
-prepare() {
-  cp -a ldap3-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/ldap3-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/ldap3-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/ldap3-$pkgver
-  nosetests3 -s test || warning "Tests require a running LDAP server"
-
-  cd "$srcdir"/ldap3-$pkgver-py2
-  nosetests2 -s test || warning "Tests require a running LDAP server"
-}
-
-package_python-ldap3() {
-  depends=('python-pyasn1')
-
-  cd ldap3-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-ldap3() {
-  depends=('python2-pyasn1')
-
-  cd ldap3-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-ldap3/repos/community-any/PKGBUILD (from rev 443378, python-ldap3/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-25 07:32:27 UTC (rev 443379)
@@ -0,0 +1,50 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=python-ldap3
+pkgname=(python-ldap3 python2-ldap3)
+pkgver=2.6
+pkgrel=1
+pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
+url="https://github.com/cannatag/ldap3"
+license=('LGPL')
+arch=('any')
+makedepends=('python-pyasn1' 'python2-pyasn1' 'python-setuptools' 'python2-setuptools')
+checkdepends=('python-nose' 'python2-nose')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
+sha512sums=('1a1ded200f6c98a422f856b6b2295142acc8dc3b7bc2973c5cb8f54243d2769c5badc7707d965e51950610400c5fac2c823a543160e2bde405ea05fdb4aa8d91')
+
+prepare() {
+  cp -a ldap3-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/ldap3-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/ldap3-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/ldap3-$pkgver
+  nosetests3 -s test || warning "Tests require a running LDAP server"
+
+  cd "$srcdir"/ldap3-$pkgver-py2
+  nosetests2 -s test || warning "Tests require a running LDAP server"
+}
+
+package_python-ldap3() {
+  depends=('python-pyasn1')
+
+  cd ldap3-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-ldap3() {
+  depends=('python2-pyasn1')
+
+  cd ldap3-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list